## fred 0.9.1-2

=== Makefile ===
#
# Makefile
#
#
# There is nothing user configurable here.
# All configuration options are located in Makefile.cfg.
#

include Makefile.cfg
include Makefile.common

SDL_CFLAGS = $(shell sdl-config --cflags)
SDL_LDFLAGS = $(shell sdl-config --libs)

CFLAGS = $(COMMON_CFLAGS) $(SDL_CFLAGS) $(DATA_CFLAGS) $(MAEMO_CFLAGS)
LDFLAGS = $(COMMON_LDFLAGS) $(ZLIB_LDFLAGS) $(SDL_LDFLAGS) $(MAEMO_LDFLAGS)

all: fred pack

clean:
	rm -f core *.o fred
	rm -f data/*.img
	cd utils ; $(MAKE) clean

distclean:
	$(MAKE) clean
	rm -f fred.dat

install:
	install -d $(DESTDIR)$(bin_location) $(DESTDIR)$(data_location)
	install fred $(DESTDIR)$(bin_location)
	install -m 0644 fred.dat $(DESTDIR)$(data_location)

common.o: common.c common.h strings.h
	$(CC) $(CFLAGS) -c common.c

params.o: params.c params.h common.h strings.h keys.h
	$(CC) $(CFLAGS) -c params.c

strings.o: strings.c strings.h
	$(CC) $(CFLAGS) -c strings.c

readdata.o: readdata.c readdata.h common.h params.h level.h pack.h strings.h
	$(CC) $(CFLAGS) -c readdata.c

graphics.o: graphics.c graphics.h common.h keys.h readdata.h strings.h params.h
	$(CC) $(CFLAGS) -c graphics.c

keys.o: keys.c keys.h keytable.c params.h
	$(CC) $(CFLAGS) -c keys.c

level.o: level.c level.h common.h graphics.h keys.h params.h demo.h readdata.h demosave.h strings.h
	$(CC) $(CFLAGS) -c level.c

boxes.o: boxes.c boxes.h graphics.h keys.h level.h params.h readdata.h demo.h save.h strings.h
	$(CC) $(CFLAGS) -c boxes.c

demo.o: demo.c demo.h readdata.h
	$(CC) $(CFLAGS) -c demo.c

save.o: save.c save.h level.h readdata.h boxes.h params.h keys.h graphics.h common.h strings.h
	$(CC) $(CFLAGS) -c save.c

demosave.o: demosave.c demosave.h common.h strings.h
	$(CC) $(CFLAGS) -c demosave.c

maemo.o: maemo.c maemo.h
	$(CC) $(CFLAGS) -c maemo.c

fred.o: fred.c params.h readdata.h graphics.h keys.h level.h boxes.h demo.h save.h demosave.h
	$(CC) $(CFLAGS) -c fred.c

fred: fred.o common.o params.o strings.o readdata.o graphics.o boxes.o keys.o level.o demo.o save.o demosave.o maemo.o
	$(LD) $(LDFLAGS) -o fred $+
	strip fred

pack:
	cd utils && $(MAKE)
	cd data && ../utils/bmp2img ../img/*.bmp
	utils/makepack data/* fred.dat

=== utils/Makefile ===
#
# Makefile
#
#
# Zde neni nic konfigurovatelneho.
# Veskere konfigurovatelne zalezitosti se nachazeji v Makefile.cfg.
#

include ../Makefile.cfg
include ../Makefile.common

CFLAGS = $(COMMON_CFLAGS) -I../
LDFLAGS = $(COMMON_LDFLAGS)

all: makepack bmp2img

clean:
	rm -f core *.o makepack bmp2img

makepack.o: makepack.c ../pack.h
	$(CC) $(CFLAGS) -c makepack.c

makepack: makepack.o
	$(LD) $(LDFLAGS) $(ZLIB_LDFLAGS) -o makepack makepack.o

bmp2img.o: bmp2img.c
	$(CC) $(CFLAGS) -c bmp2img.c

bmp2img: bmp2img.o
	$(LD) $(LDFLAGS) -o bmp2img bmp2img.o

=== win32/Makefile ===
#
# Makefile
#
#
# There is nothing user configurable here.
# All configuration options are located in Makefile.cfg.
#

include Makefile.cfg
include Makefile.common

SDL_CFLAGS = $(shell sdl-config --cflags)
SDL_LDFLAGS = $(shell sdl-config --libs)

CFLAGS = $(COMMON_CFLAGS) $(SDL_CFLAGS) $(DATA_CFLAGS)
LDFLAGS = $(COMMON_LDFLAGS) $(SDL_LDFLAGS)

all: fred.exe pack

clean:
	rm -f core *.o fred.exe
	rm -f data/*.img
	cd utils ; $(MAKE) clean

distclean:
	$(MAKE) clean
	rm -f fred.dat

install:
	install -d $(DESTDIR)$(bin_location) $(DESTDIR)$(data_location)
	install fred $(DESTDIR)$(bin_location)
	install -m 0644 fred.dat $(DESTDIR)$(data_location)

common.o: common.c common.h strings.h
	$(CC) $(CFLAGS) -c common.c

params.o: params.c params.h common.h strings.h keys.h
	$(CC) $(CFLAGS) -c params.c

strings.o: strings.c strings.h
	$(CC) $(CFLAGS) -c strings.c

readdata.o: readdata.c readdata.h common.h params.h level.h pack.h strings.h
	$(CC) $(CFLAGS) -c readdata.c

graphics.o: graphics.c graphics.h common.h keys.h readdata.h strings.h params.h
	$(CC) $(CFLAGS) -c graphics.c

keys.o: keys.c keys.h keytable.c params.h
	$(CC) $(CFLAGS) -c keys.c

level.o: level.c level.h common.h graphics.h keys.h params.h demo.h readdata.h demosave.h strings.h
	$(CC) $(CFLAGS) -c level.c

boxes.o: boxes.c boxes.h graphics.h keys.h level.h params.h readdata.h demo.h save.h strings.h
	$(CC) $(CFLAGS) -c boxes.c

demo.o: demo.c demo.h readdata.h
	$(CC) $(CFLAGS) -c demo.c

save.o: save.c save.h level.h readdata.h boxes.h params.h keys.h graphics.h common.h strings.h
	$(CC) $(CFLAGS) -c save.c

demosave.o: demosave.c demosave.h common.h strings.h
	$(CC) $(CFLAGS) -c demosave.c

fred.o: fred.c params.h readdata.h graphics.h keys.h level.h boxes.h demo.h save.h demosave.h
	$(CC) $(CFLAGS) -c fred.c

icon.o: icon/icon.res
	windres -o icon.o icon/icon.res

fred.exe: fred.o common.o params.o strings.o readdata.o graphics.o boxes.o keys.o level.o demo.o save.o demosave.o icon.o
	$(LD) $(LDFLAGS) -o fred.exe $+ $(ZLIB_LDFLAGS)
	strip fred.exe

pack:
	cd utils && $(MAKE)
	cd data && ../utils/bmp2img ../img/*.bmp
	utils/makepack data/* fred.dat

=== win32/utils/Makefile ===
#
# Makefile
#
#
# Zde neni nic konfigurovatelneho.
# Veskere konfigurovatelne zalezitosti se nachazeji v Makefile.cfg.
#

include ../Makefile.cfg
include ../Makefile.common

CFLAGS = $(COMMON_CFLAGS) -I../
LDFLAGS = $(COMMON_LDFLAGS)

all: makepack bmp2img

clean:
	rm -f core *.o makepack bmp2img

makepack.o: makepack.c ../pack.h
	$(CC) $(CFLAGS) -c makepack.c

makepack: makepack.o
	$(LD) $(LDFLAGS) -o makepack makepack.o $(ZLIB_LDFLAGS)

bmp2img.o: bmp2img.c
	$(CC) $(CFLAGS) -c bmp2img.c

bmp2img: bmp2img.o
	$(LD) $(LDFLAGS) -o bmp2img bmp2img.o

## fred 0.2.0

=== debian/changelog ===
fred (0.2.0-2kaisen) kaisen-packages; urgency=medium

  * Install fred icon
  * Change admins by utils in control file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 30 Dec 2021 01:38:17 +0100

fred (0.2.0-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 24 Dec 2021 17:09:58 +0100

=== debian/control ===
Source: fred
Section: utils
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper (>= 13), qtbase5-dev (>= 5.8), qtscript5-dev, qtwebengine5-dev, qtpositioning5-dev, libhivex-dev,
Standards-Version: 4.6.0
Homepage: https://www.pinguin.lu
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/fred
Vcs-Git: https://gitlab.com/kaisenlinux/packages/fred.git

Package: fred
Architecture: any
Depends: ${shlibs:Depends}
Recommends: fred-reports (= ${source:Version}),
Description: Forensic Registry EDitor
 Forensic Registry EDitor (fred) is a cross-platform M$ registry
 hive editor with special features useful during forensic
 analysis.

Package: fred-reports
Architecture: any
Depends: ${shlibs:Depends}
Description: Forensic Registry EDitor (reports)
 Forensic Registry EDitor (fred) is a cross-platform M$ registry
 hive editor with special features useful during forensic
 analysis.
 .
 This package contains the report-templates for fred.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake -qt=qt5 DEFINES+="SYSTEM_REPORT_TEMPLATE_DIR=\'\\\"/usr/share/fred/report_templates\\\"\'"
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -j$(shell cat /proc/cpuinfo  | grep ^processor | wc -l)
	lrelease -qt=qt5 fred.pro

	touch $@

## fred 0.9.1-2

=== debian/changelog ===
fred (0.9.1-2) unstable; urgency=low

  * Fixed build dependencies.

 -- Jiri Benc <jbenc@upir.cz>  Tue, 30 Dec 2008 14:30:02 +0100

fred (0.9.1-1) unstable; urgency=low

  * Modified for N810.

 -- Jiri Benc <jbenc@upir.cz>  Tue, 19 Feb 2008 22:31:26 +0100

fred (0.9-1) unstable; urgency=low

  * Initial Release.

 -- Jiri Benc <jbenc@upir.cz>  Tue,  26 Jun 2007 21:20:00 +0200

=== debian/control ===
Source: fred
Section: user/games
Priority: optional
Maintainer: Jiri Benc <jbenc@upir.cz>
Build-Depends: debhelper (>= 4.0.0), zlib1g-dev (>= 1.1.3), libsdl1.2-dev (>= 1.1.7), libosso-dev
Standards-Version: 3.6.1

Package: fred
Architecture: any
Depends: ${shlibs:Depends}, maemo-select-menu-location
Description: Logical arcade game - don't get blocked by Baggers
 Logical arcade game for one or two players. Navigate Fred through the level
 and don't get blocked by Baggers or boulders. In English and Czech
 language.
 .
 (Levels for two players are hardly playable without a sliding keyboard.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) zlib=y bin_location=/usr/bin/ data_location=/usr/share/fred/ maemo=y

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fred.
	$(MAKE) install bin_location=/usr/bin/ data_location=/usr/share/fred/ DESTDIR=$(CURDIR)/debian/fred
	install -m 0644 maemo/fred.desktop $(CURDIR)/debian/fred/usr/share/applications/hildon/
	install -m 0644 maemo/cz.upir.fred.service $(CURDIR)/debian/fred/usr/share/dbus-1/services/
	install -m 0644 icon/fred.png $(CURDIR)/debian/fred/usr/share/icons/hicolor/34x34/apps/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fred oss-0.4.0

=== requirements.txt ===
# CLI Tools
fire==0.7.1
# Databricks Runtime: 16.4 LTS (Python 3.12.3)

## fred oss-0.20.0

=== requirements.txt ===
# CLI Tools
fire==0.7.1
# Minimal requirements
psutil==7.0.0
# Fred Worker/Runner Infra
redis==6.4.0
fastapi==0.116.2
uvicorn[standard]==0.35.0
# Databricks Runtime: 16.4 LTS (Python 3.12.3)

## fred oss-0.56.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,12 @@
 psutil==7.0.0
 # Fred Worker/Runner Infra
 redis==6.4.0
+requests==2.32.5
 fastapi==0.116.2
 uvicorn[standard]==0.35.0
+# Services
+minio==7.2.18
+# Fred Utils
+pillow==11.3.0
+torch==2.8.0
 # Databricks Runtime: 16.4 LTS (Python 3.12.3)
